libcdr::CommonParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
libcdr::CommonParser Class Reference

`#include <CommonParser.h>`

Inheritance diagram for libcdr::CommonParser:

## Public Member Functions
| CommonParser (CDRCollector *collector)
virtual | ~CommonParser ()

## Protected Member Functions
double | readRectCoord (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | readCoordinate (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned | readUnsigned (librevenge::RVNGInputStream *input, bool bigEndian=false)
unsigned short | readUnsignedShort (librevenge::RVNGInputStream *input, bool bigEndian=false)
int | readInteger (librevenge::RVNGInputStream *input, bool bigEndian=false)
double | readAngle (librevenge::RVNGInputStream *input, bool bigEndian=false)
void | processPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types, CDRPath &path)
void | outputPath (const std::vector< std::pair< double, double > > &points, const std::vector< unsigned char > &types)

## Protected Attributes
CDRCollector * | m_collector
CoordinatePrecision | m_precision

## Private Member Functions
| CommonParser ()
| CommonParser (const CommonParser &)
CommonParser & | operator= (const CommonParser &)

## Constructor & Destructor Documentation

libcdr::CommonParser::CommonParser | ( | libcdr::CDRCollector * | collector | ) |

libcdr::CommonParser::~CommonParser | ( |  | ) |
| virtual

libcdr::CommonParser::CommonParser | ( |  | ) |
| private

libcdr::CommonParser::CommonParser | ( | const CommonParser & |  | ) |
| private

## Member Function Documentation

CommonParser& libcdr::CommonParser::operator= | ( | const CommonParser & |  | ) |
| private

void libcdr::CommonParser::outputPath | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned char > & | types
| ) |  |
| protected

void libcdr::CommonParser::processPath | ( | const std::vector< std::pair< double, double > > & | points,
|  | const std::vector< unsigned char > & | types,
|  | CDRPath & | path
| ) |  |
| protected

double libcdr::CommonParser::readAngle | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

double libcdr::CommonParser::readCoordinate | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

int libcdr::CommonParser::readInteger | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

double libcdr::CommonParser::readRectCoord | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

unsigned libcdr::CommonParser::readUnsigned | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

unsigned short libcdr::CommonParser::readUnsignedShort | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian = `false`
| ) |  |
| protected

## Member Data Documentation

CDRCollector* libcdr::CommonParser::m_collector
| protected

CoordinatePrecision libcdr::CommonParser::m_precision
| protected

The documentation for this class was generated from the following files:

- CommonParser.h
- CommonParser.cpp